Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class NodeNameTest

    java.lang.Object
      org.apache.commons.jxpath.ri.compiler.NodeTest
          org.apache.commons.jxpath.ri.compiler.NodeNameTest

    public class NodeNameTest

extends NodeTest

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`NodeNameTest(QName qname)` Create a new NodeNameTest.
`NodeNameTest(QName qname, String namespaceURI)` Create a new NodeNameTest.

Method Summary
`String` | `getNamespaceURI()` Get the ns URI.
`QName` | `getNodeName()` Get the node name.
`boolean` | `isWildcard()` Learn whether this is a wildcard test.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeNameTest

    public NodeNameTest(QName qname)

  Create a new NodeNameTest.

  Parameters:
    `qname` - name to match

### NodeNameTest

    public NodeNameTest(QName qname,
                        String namespaceURI)

  Create a new NodeNameTest.

  Parameters:
    `qname` - name to match
    `namespaceURI` - uri to match

Method Detail

### getNodeName

    public QName getNodeName()

  Get the node name.

  Returns:
    QName

### getNamespaceURI

    public String getNamespaceURI()

  Get the ns URI.

  Returns:
    String

### isWildcard

    public boolean isWildcard()

  Learn whether this is a wildcard test.

  Returns:
    `true` if the node name is "*".

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.